<?php
/**********************************************************************
    Copyright (C) FrontAccounting, LLC.
	Released under the terms of the GNU General Public License, GPL, 
	as published by the Free Software Foundation, either version 3 
	of the License, or (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
    See the License here <http://www.gnu.org/licenses/gpl-3.0.html>.
***********************************************************************/
$page_security = 'SA_BANKTRANSVIEW';
$path_to_root = "../..";

include($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/includes/ui/db_pager_view.inc"); 
include_once($path_to_root . "/gl/includes/ui/gl_account_inquiry_ui.inc"); 
include_once($path_to_root . "/gl/includes/gl_db.inc");
include_once($path_to_root . "/gl/includes/db/gl_db_pre_journal.inc");
include_once($path_to_root . "/admin/db/fiscalyears_db.inc");

$js = '';
$js .= get_js_open_window(800, 500);
$js .= get_js_date_picker();


page(_($help_context = "View GL Account Transactions"), true, false, "", $js); 

if (isset($_GET["account"])) {
    $_POST["account"] = $_GET["account"];
}
if (isset($_GET["from_date"])) {
    $_POST["TransFromDate"] = $_GET["from_date"];
}
if (isset($_GET["to_date"])) {
    $_POST["TransToDate"] = $_GET["to_date"];
}

if (isset($_GET["project_id"])) {
    $_POST["Dimension"] = $_GET["project_id"];
} else {
    $_POST["project_id"] = 0;
}

$_POST["person_type_id"] = $_POST["Memo"] = $_POST["gl_trans_type_id"] = $_POST["Memo"] = $_POST["person_type_id"] = $_POST["Memo"] = '';


show_results();

end_page(true, false, false, ST_BANKPAYMENT, 0);

?>